
package de.ivu.elect.business.ergebnis.control;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisDateiQuelle;
import de.ivu.elect.business.ergebnis.entity.Ergebnisart;
import de.ivu.elect.business.exchange.control.AbstractWahlExchangeContext;
import de.ivu.elect.business.wahl.entity.Wahl;

/**
 * Kontext für Ergebnis-Importe.
 */
public abstract class AbstractErgebnisImportContext extends AbstractWahlExchangeContext {

  private static final long serialVersionUID = 1L;

  protected ErgebnisDateiQuelle ergebnisDateiQuelle;

  private Ergebnisart ergebnisart;

  public AbstractErgebnisImportContext(Wahl wahl, ErgebnisDateiQuelle ergebnisDateiQuelle, Ergebnisart ergebnisart) {
    super(wahl);

    this.ergebnisDateiQuelle = ergebnisDateiQuelle;
    this.ergebnisart = ergebnisart;
  }

  /**
   * Wird für den Fall verwendet, dass in der Importdatei nicht nur die eigentlichen Ergebnisse, sondern auch die Vergleichsergebnisse enthalten sind. Nur relevant bei Dateiformaten, die dies
   * ermöglichen.
   */
  public ErgebnisDateiQuelle getQuelle() {
    return ergebnisDateiQuelle;
  }

  public void setQuelle(ErgebnisDateiQuelle ergebnisDateiQuelle) {
    this.ergebnisDateiQuelle = ergebnisDateiQuelle;
  }

  public Ergebnisart getZiel() {
    return ergebnisart;
  }

  public void setZiel(Ergebnisart ergebnisart) {
    this.ergebnisart = ergebnisart;
  }

}
